
Redmine - Defect #23569

Custom date field is not saved in (saved) queries

2016-08-11 16:05 - Teogenes da Nobrega

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.2.3

Description

Steps to reproduce the defect:

1. Add a custom date field (millestone_x) to a tracker.

2. Create a custom query using the custom date field (millestone_x) as one of the filters. For instance, let's set a filter where

<millestone_x> <is> <this week>.

3. Then save this query to be visible <to any users> and <For all projects>

4. BUG: Aparently, the query is properly saved. However, if you run the report you'll see that the custom date field (millestone_x) is

NOT amongst the selected filters.

Aditional information:

Environment:

Redmine version                3.2.3.stable

Ruby version                   2.2.2-p95 (2015-04-13) [x86_64-linux-gnu]

Rails version                  4.2.5.2

Environment                    production

Database adapter               PostgreSQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

computed_custom_field          0.0.6

gantt_extension                0.2

meta                           0.2.3

redmine__select2               1.0.5

redmine_customize_core_fields  1.0.0

redmine_improved_searchbox     0.0.3

redmine_tkgmap                 0.1

redmine_wktime                 2.2

scrum                          0.14.0

History

#1 - 2016-08-11 16:24 - Teogenes da Nobrega

- Status changed from New to Resolved

Maybe, it's not a bug. Once I set "For all projects" for this custom field, the query containint ths field could be saved properly.

#2 - 2016-09-06 08:09 - Toshi MARUYAMA

- Status changed from Resolved to Closed
